OldQueryProcessor
Keywords: uk.ac.bbk.dcs.automed.qproc.OldQueryProcessor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc
Class OldQueryProcessor

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.OldQueryProcessor

Direct Known Subclasses:
  GQP

    public class OldQueryProcessor

extends java.lang.Object

The query processor class.

Author:
  Lucas Zamboulis

Field Summary
`protected QueryAnnotationProvider` | `_annProvider`
`protected QueryEvaluationProvider` | `_evalProvider`
`protected QueryOptimisationProvider` | `_optProvider`
`protected GAVQueryReformulationProvider` | `_refProvider`
`protected long` | `afterEv`
`protected long` | `afterLO`
`protected long` | `afterQAFP`
`protected long` | `afterQR`
`protected long` | `afterSubmit`
`protected long` | `afterTranslation`
`protected long` | `beforeTranslation`
`protected java.util.logging.Logger` | `logger`
`protected QueryProcessorConfiguration` | `qpc`
`protected Schema` | `src`
`protected TypeChecker` | `tc`
`protected Schema[]` | `tgts`

Constructor Summary
`OldQueryProcessor()` Constructs a QueryProcessor using `QueryProcessorConfiguration`.
`OldQueryProcessor(QueryProcessorConfiguration qpc)` Constructs a QueryProcessor using the input configuration.
`OldQueryProcessor(Schema sourceSchema, Schema[] targetSchemata)`
`OldQueryProcessor(Schema sourceSchema, Schema[] targetSchemata, QueryProcessorConfiguration qpc)` Constructs a QueryProcessor using the input configuration.

Method Summary
`void` | `finalize()`
`protected void` | `loggingInit()`
`void` | `process(ASG g)` Deprecated. use `process(ASG, QueryProcessorConfiguration)` instead
`void` | `process(ASG g, QueryProcessorConfiguration qpc)` Method that processes the input ASG.
`java.lang.String` | `process(java.lang.String query, AutoMedWrapper aw, QueryProcessorConfiguration qpc)`
`void` | `showPerformance()`
`protected void` | `typeCheck(ASG g)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected java.util.logging.Logger logger

### afterSubmit

    protected long afterSubmit

### afterQR

    protected long afterQR

### afterLO

    protected long afterLO

### afterQAFP

    protected long afterQAFP

### afterEv

    protected long afterEv

### beforeTranslation

    protected long beforeTranslation

### afterTranslation

    protected long afterTranslation

### _refProvider

    protected GAVQueryReformulationProvider _refProvider

### _optProvider

    protected QueryOptimisationProvider _optProvider

### _annProvider

    protected QueryAnnotationProvider _annProvider

### _evalProvider

    protected QueryEvaluationProvider _evalProvider

### tc

    protected TypeChecker tc

### src

    protected Schema src

### tgts

    protected Schema[] tgts

### qpc

    protected QueryProcessorConfiguration qpc

Constructor Detail

### OldQueryProcessor

    public OldQueryProcessor()
                      throws QProcException

  Constructs a QueryProcessor using `QueryProcessorConfiguration`.

  Throws:
    `QProcException` - if an error occurs during initialisation of the query processor

### OldQueryProcessor

    public OldQueryProcessor(QueryProcessorConfiguration qpc)
                      throws QProcException

  Constructs a QueryProcessor using the input configuration.

  Parameters:
    `qpc` - the input configuration
  Throws:
    `QProcException` - if an error occurs during initialisation of the query processor

### OldQueryProcessor

    public OldQueryProcessor(Schema sourceSchema,
                             Schema[] targetSchemata)
                      throws QProcException

Parameters:
  `sourceSchema` - the global schema
  `targetSchemata` - the local schemata
Throws:
  `QProcException` - if an error occurs during initialisation of the query processor

### OldQueryProcessor

    public OldQueryProcessor(Schema sourceSchema,
                             Schema[] targetSchemata,
                             QueryProcessorConfiguration qpc)
                      throws QProcException

  Constructs a QueryProcessor using the input configuration.

  Parameters:
    `sourceSchema` - the global schema
    `targetSchemata` - the local schemata
    `qpc` - the input configuration
  Throws:
    `QProcException` - if an error occurs during initialisation of the query processor

Method Detail

### process

    public java.lang.String process(java.lang.String query,
                                    AutoMedWrapper aw,
                                    QueryProcessorConfiguration qpc)
                             throws QProcException

  Throws:
    `QProcException`

### process

    public void process(ASG g)
                 throws QProcException

  Deprecated. use `process(ASG, QueryProcessorConfiguration)` instead

  Throws:
    `QProcException`

### process

    public void process(ASG g,
                        QueryProcessorConfiguration qpc)
                 throws QProcException

  Method that processes the input ASG. This might mean logical/physical optimisations being performed according to what the user has specified; it might also mean using the query annotator or the fragment processor; it might also mean using the standard function table (default) or another function table as set by the user.

  Parameters:
    `g` - the input ASG
  Throws:
    `QProcException` - exception related to query processing

### showPerformance

    public void showPerformance()

### loggingInit

    protected void loggingInit()

### typeCheck

    protected void typeCheck(ASG g)
                      throws TypeException

  Throws:
    `TypeException`

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD